Create a Bulkjob

Enhance multiple records in bulk asynchronously

Accepts a JSON array of input data on organizations or persons and returns a status response.

An input JSON array is constructed with a type declaration and one or more accepted inputs for Enhance.

[{
    "type": "Organization",
    "name": "IBM",
    "location": "Austin, Texas"
},
{
    "type": "Organization",
    "name": "Diffbot",
    "url": "www.diffbot.com"
}]

Example Request

curl --location --request POST 'https://kg.diffbot.com/kg/v3/enhance/bulk?token=YOURTOKEN' \
--header 'Content-Type: application/json' \
--data-raw '[{
    "type": "Organization",
    "name": "Optimizely"
},
{
    "type": "Organization",
    "name": "Diffbot"
},
{
    "type": "Organization",
    "name": "Whizzimo"
}]'
var headers = new Headers();
headers.append("Content-Type", "application/json");

var raw = JSON.stringify([
  {
    "type": "Organization",
    "name": "Optimizely"
  },
  {
    "type": "Organization",
    "name": "Diffbot"
  },
  {
    "type": "Organization",
    "name": "Whizzimo"
  }
]);

var requestOptions = {
  method: 'POST',
  headers: headers,
  body: raw
};

fetch("https://kg.diffbot.com/kg/v3/enhance_endpoint/bulk?token=YOURTOKEN", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
import requests
import json

url = "https://kg.diffbot.com/kg/v3/enhance_endpoint/bulk?token=YOURTOKEN"

payload = json.dumps([
  {
    "type": "Organization",
    "name": "Optimizely"
  },
  {
    "type": "Organization",
    "name": "Diffbot"
  },
  {
    "type": "Organization",
    "name": "Whizzimo"
  }
])
headers = {
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)

You can also specify alternative name and url parameters for an entity. Those parameters can also be specified as an array. For example:

[{
    "type": "Organization",
    "name": ["Twitter", "X"],
    "url": ["twitter.com", "x.com"]
    "location": "San Francisco, CA"
}]
Query Params
string

Enhance Bulkjob name

int32
Defaults to 1

Maximum number of results to return

double

Enhance similarity threshold

boolean
Defaults to false

refresh=true indicates that Diffbot will attempt to recrawl all the origins of the identified entity and reconstruct the returned entity from this refreshed data.

boolean
Defaults to false

search=true indicates that Diffbot will attempt to search the web for origins for the search query and merge relevant results with whats found in the KG.

boolean
Defaults to false

nonCanonicalFacts=true returns non-canonical facts.

string
enum
Defaults to

jsonmode=extended returns origin information for facts.

Allowed:
string

Webhook URL

Body Params

Bulk query payload

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json